function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = E_obc_e.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(204, 354);
g1(1,117)=(-1);
g1(1,127)=1;
g1(1,171)=1;
g1(2,119)=(-T(43));
g1(2,129)=(-T(44));
g1(2,130)=(-T(41));
g1(2,140)=(-T(44));
g1(2,162)=1;
g1(3,118)=1;
g1(3,119)=(-T(7));
g1(4,119)=1;
g1(4,120)=1;
g1(4,128)=(-1);
g1(4,129)=(-1);
g1(4,140)=(-1);
g1(5,118)=(-1);
g1(5,120)=1;
g1(5,13)=(-1);
g1(5,147)=1;
g1(6,127)=1/params(16);
g1(6,130)=(-1);
g1(7,125)=1;
g1(7,280)=(-params(153));
g1(7,131)=(-params(153));
g1(7,282)=(-(params(153)*(-params(14))));
g1(7,163)=(-(params(153)*(-params(62))));
g1(7,202)=params(151)*(1-params(153))/(params(45)+params(63)*(params(56)+T(33)-T(27)*T(33)));
g1(8,15)=(-T(12));
g1(8,123)=params(14);
g1(8,125)=T(11);
g1(8,128)=(-T(50));
g1(8,138)=T(11)/(1+params(51));
g1(8,147)=T(12);
g1(9,125)=(-(T(51)*(-params(153))/T(31)-T(52)));
g1(9,280)=(-(params(153)/T(31)*T(51)));
g1(9,282)=(-(T(51)*params(153)*(-params(14))/T(31)));
g1(9,163)=params(153)*params(62)/T(48);
g1(9,201)=1;
g1(9,292)=(-(params(153)*(1-params(44))/T(31)));
g1(9,202)=T(52)*params(151)/(params(45)+params(63)*(params(56)+T(33)-T(27)*T(33)));
g1(10,125)=1;
g1(10,280)=(-params(153));
g1(10,282)=(-(params(153)*(-params(14))));
g1(10,163)=(-(params(153)*(-params(62))));
g1(10,200)=(-(params(153)+T(53)));
g1(10,291)=T(53);
g1(10,202)=(1-params(153))*params(151)/(params(45)+params(63)*(params(56)+T(33)-T(27)*T(33)));
g1(11,53)=(-T(13));
g1(11,199)=1;
g1(11,200)=T(13)-1;
g1(12,118)=(-T(43));
g1(12,123)=(-T(46));
g1(12,126)=(-params(4));
g1(12,127)=1;
g1(12,132)=(-params(28));
g1(12,164)=(-1);
g1(12,227)=(-T(42));
g1(13,123)=(-(T(46)/(1-params(27)-params(4))));
g1(13,124)=1;
g1(13,227)=(-(T(42)/(1-params(27)-params(4))));
g1(14,120)=(-(params(16)*T(43)));
g1(14,127)=1;
g1(14,128)=(-(params(16)*T(44)));
g1(14,162)=(-params(16));
g1(15,15)=T(14)*(-T(10));
g1(15,123)=T(14);
g1(15,125)=(-1);
g1(15,128)=params(32)+T(50)/T(11);
g1(15,129)=(-1);
g1(15,142)=T(63);
g1(15,144)=T(63);
g1(15,147)=T(10)*T(14);
g1(15,169)=1;
g1(16,13)=(-(1-T(32)));
g1(16,121)=1;
g1(16,126)=(-T(32));
g1(16,147)=1-T(32);
g1(16,165)=(-(T(16)*T(32)*(1+T(54))));
g1(17,202)=1;
g1(17,203)=(-1);
g1(17,217)=(-params(63));
g1(17,220)=(-params(63));
g1(18,109)=T(43);
g1(18,13)=params(13)*T(33);
g1(18,127)=(-1);
g1(18,128)=T(44);
g1(18,129)=T(44);
g1(18,130)=T(41);
g1(18,147)=(-(params(13)*T(33)));
g1(18,208)=1-T(44)-params(13)*T(33)-T(41);
g1(19,124)=params(51)*(1-params(27)-params(4));
g1(19,127)=params(46);
g1(19,128)=T(44)*(params(53)+params(52)+T(45));
g1(19,129)=T(44)*(params(53)+params(52)+T(45));
g1(19,132)=(-params(28));
g1(19,134)=(-params(55));
g1(19,138)=1-params(27)-params(4);
g1(19,140)=T(44);
g1(19,142)=T(44);
g1(19,144)=T(44);
g1(19,147)=T(17);
g1(19,53)=(-T(18));
g1(19,54)=(-T(17));
g1(19,203)=1;
g1(19,205)=1;
g1(19,208)=params(54)*(1-T(44)-params(13)*T(33)-T(41));
g1(19,352)=(-1);
g1(20,18)=(-(params(111)*T(8)));
g1(20,133)=1;
g1(20,51)=(-(T(8)*params(111)*(-params(115))));
g1(20,194)=(-params(115));
g1(20,54)=(-(T(8)*T(19)));
g1(20,342)=(-(T(8)*(1-params(112))));
g1(20,66)=(-(T(8)*params(112)));
g1(21,127)=(-(T(8)*params(113)));
g1(21,132)=1;
g1(21,133)=(-T(8));
g1(22,51)=(-(T(8)*params(121)*(-params(125))));
g1(22,194)=(-params(125));
g1(22,54)=(-(T(8)*params(124)*(1-params(121))/params(45)));
g1(22,55)=(-(params(121)*T(8)));
g1(22,206)=1;
g1(22,343)=(-(T(8)*(1-params(122))));
g1(22,67)=(-(T(8)*params(122)));
g1(23,127)=(-(T(8)*params(123)));
g1(23,205)=1;
g1(23,206)=(-T(8));
g1(24,21)=(-(params(126)*T(8)));
g1(24,139)=1;
g1(24,51)=(-(T(8)*params(126)*(-params(130))));
g1(24,194)=(-params(130));
g1(24,54)=(-(T(8)*params(129)*(1-params(126))/params(45)));
g1(24,346)=(-(T(8)*(1-params(127))));
g1(24,68)=(-(T(8)*params(127)));
g1(25,127)=(-(T(8)*params(128)));
g1(25,138)=1;
g1(25,139)=(-T(8));
g1(26,23)=(-(params(131)*T(8)));
g1(26,143)=1;
g1(26,51)=(-(T(8)*params(131)*(-params(135))));
g1(26,194)=(-params(135));
g1(26,54)=(-(T(8)*params(134)*(1-params(131))/params(45)));
g1(26,347)=(-(T(8)*(1-params(132))));
g1(26,69)=(-(T(8)*params(132)));
g1(27,127)=(-(T(8)*params(133)));
g1(27,142)=1;
g1(27,143)=(-T(8));
g1(28,24)=(-(params(136)*T(8)));
g1(28,145)=1;
g1(28,51)=(-(T(8)*params(136)*(-params(140))));
g1(28,194)=(-params(140));
g1(28,54)=(-(T(8)*params(139)*(1-params(136))/params(45)));
g1(28,344)=(-(T(8)*(1-params(137))));
g1(28,70)=(-(T(8)*params(137)));
g1(29,127)=(-(T(8)*params(138)));
g1(29,144)=1;
g1(29,145)=(-T(8));
g1(30,22)=(-(params(141)*T(8)));
g1(30,141)=1;
g1(30,51)=(-(T(8)*params(141)*(-params(145))));
g1(30,194)=(-params(145));
g1(30,54)=(-(T(8)*params(144)*(1-params(141))/params(45)));
g1(30,345)=(-(T(8)*(1-params(142))));
g1(30,71)=(-(T(8)*params(142)));
g1(31,127)=(-(T(8)*params(143)));
g1(31,140)=1;
g1(31,141)=(-T(8));
g1(32,134)=T(8);
g1(32,136)=(-T(8));
g1(32,137)=(-T(8));
g1(32,203)=(-params(149));
g1(32,353)=params(149);
g1(33,135)=(-1);
g1(33,20)=(-0.995);
g1(33,136)=1;
g1(34,19)=(-params(116));
g1(34,135)=1;
g1(34,348)=(-(1-params(117)));
g1(34,72)=(-params(117));
g1(35,127)=(-(T(8)*params(118)));
g1(35,137)=1;
g1(35,54)=(-(T(8)*T(20)));
g1(36,146)=1;
g1(37,204)=1;
g1(38,127)=(-((-T(49))-params(46)));
g1(38,132)=(-params(28));
g1(38,134)=params(55);
g1(38,205)=1;
g1(38,207)=1;
g1(39,108)=1;
g1(39,110)=(-T(43));
g1(39,153)=(-T(44));
g1(39,155)=(-T(41));
g1(39,162)=1;
g1(39,178)=(-T(44));
g1(40,25)=(-params(39));
g1(40,147)=1;
g1(40,334)=(-1);
g1(41,147)=(-1);
g1(41,148)=1;
g1(42,109)=1;
g1(42,110)=(-T(7));
g1(43,110)=1;
g1(43,111)=1;
g1(43,149)=(-1);
g1(43,153)=(-1);
g1(43,178)=(-1);
g1(44,108)=1;
g1(44,117)=1/params(16);
g1(44,155)=(-1);
g1(45,109)=(-1);
g1(45,111)=1;
g1(45,147)=1;
g1(45,38)=(-1);
g1(46,100)=(-T(40));
g1(46,147)=T(40);
g1(46,150)=T(40);
g1(46,155)=(-T(55));
g1(46,62)=(-T(40));
g1(46,221)=1;
g1(47,100)=T(36)/T(6);
g1(47,2)=T(5)*(T(28)-1);
g1(47,150)=(-T(36))/T(6)-(T(28)*T(37)*(-T(35))-T(5)*(-(T(28)-1)));
g1(47,222)=(-(T(35)*T(28)*T(37)));
g1(47,63)=(-(T(35)*T(28)*T(37)-T(5)*T(28)));
g1(47,229)=(-(T(28)*T(37)*(-(params(61)*params(59)*T(23)))));
g1(48,110)=(-((1-params(54))*T(38)/T(37)));
g1(48,8)=1;
g1(48,112)=(-((1-params(13))/T(37)));
g1(48,150)=(-1);
g1(48,222)=1;
g1(49,101)=1;
g1(49,156)=(-1);
g1(49,163)=1;
g1(50,156)=(-T(26));
g1(50,163)=T(26);
g1(50,293)=T(26);
g1(50,223)=(-T(30));
g1(51,112)=(-1);
g1(51,170)=(-1);
g1(51,221)=1;
g1(51,223)=1;
g1(52,112)=(-T(28));
g1(52,170)=(-T(28));
g1(52,218)=T(56);
g1(52,221)=1;
g1(53,110)=(-(params(56)*T(43)));
g1(53,111)=(-(params(56)*T(43)));
g1(53,149)=(-(params(56)*T(44)));
g1(53,153)=(-(params(56)*T(44)));
g1(53,219)=1;
g1(54,100)=(-params(65));
g1(54,147)=params(65);
g1(54,150)=params(65);
g1(54,174)=(-(params(65)*(-(1/(1+params(51))))));
g1(54,62)=(-params(65));
g1(54,228)=1;
g1(55,2)=(-(T(5)*T(27)*(T(28)-1)));
g1(55,8)=(-(T(5)*T(27)));
g1(55,150)=(-(T(25)*T(37)))-T(5)*(-(T(27)*(T(28)-1)));
g1(55,38)=(-(T(5)*T(27)));
g1(55,62)=(-(T(5)*(-T(27))));
g1(55,222)=T(25)*T(37);
g1(55,229)=params(61)*(T(24)-params(59)*T(23))*T(37);
g1(56,112)=(-(1/T(16)*T(57)));
g1(56,11)=(-T(57));
g1(56,116)=1;
g1(56,279)=(-(T(54)*T(57)));
g1(56,147)=T(57);
g1(56,282)=(-(T(54)*T(57)));
g1(56,165)=(-1);
g1(57,102)=(-T(39));
g1(57,130)=(-T(55));
g1(57,147)=T(39);
g1(57,64)=(-T(39));
g1(57,224)=1;
g1(58,102)=T(36)/T(6);
g1(58,3)=T(5)*(T(28)-1);
g1(58,225)=(-(T(35)*T(28)*T(37)));
g1(58,65)=(-(T(35)*T(28)*T(37)-T(5)*T(28)));
g1(58,230)=(-(T(28)*T(37)*(-(params(61)*params(59)*T(23)))));
g1(59,119)=(-((1-params(54))*T(38)/T(37)));
g1(59,14)=1;
g1(59,122)=(-((1-params(13))/T(37)));
g1(59,225)=1;
g1(60,103)=1;
g1(60,131)=(-1);
g1(60,163)=1;
g1(61,131)=(-T(26));
g1(61,163)=T(26);
g1(61,294)=T(26);
g1(61,226)=(-T(30));
g1(62,121)=(-1);
g1(62,122)=(-1);
g1(62,224)=1;
g1(62,226)=1;
g1(63,121)=(-T(28));
g1(63,122)=(-T(28));
g1(63,217)=T(56);
g1(63,224)=1;
g1(64,119)=(-(params(56)*T(43)));
g1(64,120)=(-(params(56)*T(43)));
g1(64,128)=(-(params(56)*T(44)));
g1(64,129)=(-(params(56)*T(44)));
g1(64,220)=1;
g1(65,102)=(-params(65));
g1(65,138)=(-(params(65)*(-(1/(1+params(51))))));
g1(65,147)=params(65);
g1(65,64)=(-params(65));
g1(65,227)=1;
g1(66,3)=(-(T(5)*T(27)*(T(28)-1)));
g1(66,13)=(-(T(5)*T(27)));
g1(66,14)=(-(T(5)*T(27)));
g1(66,64)=(-(T(5)*(-T(27))));
g1(66,225)=T(25)*T(37);
g1(66,230)=params(61)*(T(24)-params(59)*T(23))*T(37);
g1(67,122)=(-(1/T(16)*T(57)));
g1(67,16)=(-T(57));
g1(67,126)=1;
g1(67,281)=(-(T(54)*T(57)));
g1(67,147)=T(57);
g1(67,282)=(-(T(54)*T(57)));
g1(67,165)=(-1);
g1(68,115)=1;
g1(68,278)=(-params(153));
g1(68,282)=(-(params(153)*(-params(14))));
g1(68,284)=params(153);
g1(68,156)=(-params(153));
g1(68,163)=(-(params(153)*(-params(62))));
g1(68,189)=params(151)*(1-params(153))/(params(45)+params(63)*(params(56)+T(33)-T(27)*T(33)));
g1(69,9)=(-T(12));
g1(69,113)=params(14);
g1(69,115)=T(11);
g1(69,147)=T(12);
g1(69,149)=(-T(50));
g1(69,174)=T(11)/(1+params(51));
g1(70,115)=(-(T(51)*(-params(153))/T(31)-T(52)));
g1(70,278)=(-(params(153)/T(31)*T(51)));
g1(70,282)=(-(T(51)*params(153)*(-params(14))/T(31)));
g1(70,284)=(-(T(51)*(-params(153))/T(31)));
g1(70,163)=params(153)*params(62)/T(48);
g1(70,189)=T(52)*params(151)/(params(45)+params(63)*(params(56)+T(33)-T(27)*T(33)));
g1(70,197)=1;
g1(70,290)=(-(params(153)*(1-params(44))/T(31)));
g1(71,115)=1;
g1(71,278)=(-params(153));
g1(71,282)=(-(params(153)*(-params(14))));
g1(71,284)=params(153);
g1(71,163)=(-(params(153)*(-params(62))));
g1(71,189)=(1-params(153))*params(151)/(params(45)+params(63)*(params(56)+T(33)-T(27)*T(33)));
g1(71,196)=(-(params(153)+T(53)));
g1(71,289)=T(53);
g1(72,52)=(-T(13));
g1(72,195)=1;
g1(72,196)=T(13)-1;
g1(73,109)=(-T(43));
g1(73,113)=(-T(46));
g1(73,116)=(-params(4));
g1(73,117)=1;
g1(73,164)=(-1);
g1(73,172)=(-params(28));
g1(73,228)=(-T(42));
g1(74,113)=(-T(46));
g1(74,116)=(-params(4));
g1(74,164)=(-1);
g1(74,172)=(-params(28));
g1(74,216)=1;
g1(75,111)=(-(params(16)*T(43)));
g1(75,117)=1;
g1(75,149)=(-(params(16)*T(44)));
g1(75,162)=(-params(16));
g1(76,108)=(-(T(58)*T(59)));
g1(76,27)=(-(params(30)*T(58)));
g1(76,150)=1;
g1(76,284)=(-(T(54)*T(58)));
g1(76,151)=(-1)-T(58)*((-params(30))-params(30)*T(54));
g1(76,285)=(-(T(58)*(params(30)*T(54)-T(54))));
g1(76,167)=(-1);
g1(77,147)=T(57);
g1(77,282)=(-(T(54)*T(57)));
g1(77,148)=(-T(57));
g1(77,283)=(-(T(57)*(-T(54))));
g1(77,27)=(-(params(17)/(1+T(54))));
g1(77,150)=(1+params(17)*T(54))/(1+T(54));
g1(77,284)=(-(T(54)/(1+T(54))));
g1(77,151)=(-((1-params(17))/(1+T(54))));
g1(77,285)=(1-params(17))*T(54)/(1+T(54));
g1(77,29)=(-T(57));
g1(77,153)=1+T(60);
g1(77,287)=(-(T(54)/(1+T(54))));
g1(77,154)=(-T(60));
g1(77,168)=(-1);
g1(78,9)=T(14)*(-T(10));
g1(78,113)=T(14);
g1(78,115)=(-1);
g1(78,147)=T(10)*T(14);
g1(78,149)=params(32)+T(50)/T(11);
g1(78,154)=(-1);
g1(78,169)=1;
g1(78,176)=T(63);
g1(78,180)=T(63);
g1(79,157)=(-(1-params(154)));
g1(79,158)=1;
g1(80,12)=params(35);
g1(80,117)=(-((1-params(37))*params(36)+params(35)));
g1(80,17)=(-params(35));
g1(80,127)=(-((-((1-params(37))*params(36)))-params(35)));
g1(80,150)=(-(params(34)*(1-params(37))));
g1(80,28)=params(37);
g1(80,151)=(-(1-params(34)*(1-params(37))));
g1(80,30)=(-params(37));
g1(80,157)=1;
g1(81,1)=(-1);
g1(81,156)=1;
g1(81,158)=(-1);
g1(81,166)=(-1);
g1(82,1)=(-params(87));
g1(82,97)=1;
g1(82,354)=(-1);
g1(83,189)=1;
g1(83,191)=(-1);
g1(83,218)=(-params(63));
g1(83,219)=(-params(63));
g1(84,113)=(-(T(46)/(1-params(27)-params(4))));
g1(84,114)=1;
g1(84,228)=(-(T(42)/(1-params(27)-params(4))));
g1(85,31)=(-params(38));
g1(85,162)=1;
g1(85,335)=(-1);
g1(86,32)=(-params(40));
g1(86,163)=1;
g1(86,336)=(-1);
g1(87,33)=(-params(19));
g1(87,164)=1;
g1(87,335)=(-params(3));
g1(87,337)=(-1);
g1(88,34)=(-params(20));
g1(88,165)=1;
g1(88,338)=(-1);
g1(89,35)=(-params(21));
g1(89,166)=1;
g1(89,339)=(-1);
g1(90,6)=params(10);
g1(90,107)=(-1);
g1(90,36)=(-params(22));
g1(90,167)=1;
g1(91,107)=1;
g1(91,340)=(-1);
g1(92,5)=params(9);
g1(92,106)=(-1);
g1(92,37)=(-params(24));
g1(92,168)=1;
g1(93,106)=1;
g1(93,341)=(-1);
g1(94,169)=1;
g1(94,350)=(-1);
g1(95,28)=(-params(23));
g1(95,151)=1;
g1(95,351)=(-1);
g1(96,116)=(-T(32));
g1(96,147)=1-T(32);
g1(96,165)=(-(params(12)*T(15)*T(32)*(1+T(54))));
g1(96,38)=(-(1-T(32)));
g1(96,170)=1;
g1(97,109)=T(43);
g1(97,117)=(-1);
g1(97,147)=(-(params(13)*T(33)));
g1(97,149)=T(44);
g1(97,153)=T(44);
g1(97,155)=T(41);
g1(97,38)=params(13)*T(33);
g1(97,198)=1-T(44)-params(13)*T(33)-T(41);
g1(98,114)=params(51)*(1-params(27)-params(4));
g1(98,117)=params(46);
g1(98,147)=T(17);
g1(98,149)=T(44)*(params(53)+params(52)+T(45));
g1(98,150)=T(18);
g1(98,153)=T(44)*(params(53)+params(52)+T(45));
g1(98,172)=(-params(28));
g1(98,174)=1-params(27)-params(4);
g1(98,176)=T(44);
g1(98,178)=T(44);
g1(98,180)=T(44);
g1(98,183)=1;
g1(98,185)=(-params(55));
g1(98,50)=(-T(17));
g1(98,191)=1;
g1(98,52)=(-T(18));
g1(98,198)=params(54)*(1-T(44)-params(13)*T(33)-T(41));
g1(98,352)=(-1);
g1(99,40)=(-(params(111)*T(8)));
g1(99,173)=1;
g1(99,50)=(-(T(8)*T(19)));
g1(99,51)=(-(T(8)*params(111)*(-params(115))));
g1(99,194)=(-params(115));
g1(99,342)=(-(T(8)*(1-params(112))));
g1(99,66)=(-(T(8)*params(112)));
g1(100,117)=(-(T(8)*params(113)));
g1(100,172)=1;
g1(100,173)=(-T(8));
g1(101,46)=(-(params(121)*T(8)));
g1(101,184)=1;
g1(101,50)=(-(T(8)*params(124)*(1-params(121))/params(45)));
g1(101,51)=(-(T(8)*params(121)*(-params(125))));
g1(101,194)=(-params(125));
g1(101,343)=(-(T(8)*(1-params(122))));
g1(101,67)=(-(T(8)*params(122)));
g1(102,117)=(-(T(8)*params(123)));
g1(102,183)=1;
g1(102,184)=(-T(8));
g1(103,41)=(-(params(126)*T(8)));
g1(103,175)=1;
g1(103,50)=(-(T(8)*params(129)*(1-params(126))/params(45)));
g1(103,51)=(-(T(8)*params(126)*(-params(130))));
g1(103,194)=(-params(130));
g1(103,346)=(-(T(8)*(1-params(127))));
g1(103,68)=(-(T(8)*params(127)));
g1(104,117)=(-(T(8)*params(128)));
g1(104,174)=1;
g1(104,175)=(-T(8));
g1(105,45)=(-(params(131)*T(8)));
g1(105,181)=1;
g1(105,50)=(-(T(8)*params(134)*(1-params(131))/params(45)));
g1(105,51)=(-(T(8)*params(131)*(-params(135))));
g1(105,194)=(-params(135));
g1(105,347)=(-(T(8)*(1-params(132))));
g1(105,69)=(-(T(8)*params(132)));
g1(106,117)=(-(T(8)*params(133)));
g1(106,180)=1;
g1(106,181)=(-T(8));
g1(107,42)=(-(params(136)*T(8)));
g1(107,177)=1;
g1(107,50)=(-(T(8)*params(139)*(1-params(136))/params(45)));
g1(107,51)=(-(T(8)*params(136)*(-params(140))));
g1(107,194)=(-params(140));
g1(107,344)=(-(T(8)*(1-params(137))));
g1(107,70)=(-(T(8)*params(137)));
g1(108,117)=(-(T(8)*params(138)));
g1(108,176)=1;
g1(108,177)=(-T(8));
g1(109,44)=(-(params(141)*T(8)));
g1(109,179)=1;
g1(109,50)=(-(T(8)*params(144)*(1-params(141))/params(45)));
g1(109,51)=(-(T(8)*params(141)*(-params(145))));
g1(109,194)=(-params(145));
g1(109,345)=(-(T(8)*(1-params(142))));
g1(109,71)=(-(T(8)*params(142)));
g1(110,117)=(-(T(8)*params(143)));
g1(110,178)=1;
g1(110,179)=(-T(8));
g1(111,182)=1;
g1(112,185)=T(8);
g1(112,187)=(-T(8));
g1(112,188)=(-T(8));
g1(112,191)=(-params(149));
g1(112,353)=params(149);
g1(113,186)=(-1);
g1(113,49)=(-0.995);
g1(113,187)=1;
g1(114,48)=(-params(116));
g1(114,186)=1;
g1(114,348)=(-(1-params(117)));
g1(114,72)=(-params(117));
g1(115,117)=(-(T(8)*params(118)));
g1(115,188)=1;
g1(115,50)=(-(T(8)*T(20)));
g1(116,192)=1;
g1(117,193)=(-1);
g1(117,51)=(-params(146));
g1(117,194)=1;
g1(118,193)=1-params(147);
g1(118,349)=(-1);
g1(119,114)=params(51)*(1-params(27)-params(4));
g1(119,117)=(-((-params(46))-T(49)));
g1(119,149)=T(44)*(params(53)+params(52)+T(45));
g1(119,153)=T(44)*(params(53)+params(52)+T(45));
g1(119,172)=(-params(28));
g1(119,174)=1-params(27)-params(4);
g1(119,176)=T(44);
g1(119,178)=T(44);
g1(119,180)=T(44);
g1(119,183)=1;
g1(119,185)=(-params(55));
g1(119,190)=1;
g1(119,198)=params(54)*(1-T(44)-params(13)*T(33)-T(41));
g1(120,150)=(-4);
g1(120,152)=1;
g1(121,156)=(-4);
g1(121,159)=1;
g1(122,286)=1;
g1(122,159)=(-1);
g1(122,160)=1;
g1(123,114)=(-1);
g1(123,116)=1;
g1(123,161)=1;
g1(124,4)=(-1);
g1(124,105)=1-((-T(54))-T(62));
g1(124,277)=(-T(54));
g1(124,149)=(-T(62));
g1(125,73)=1;
g1(125,26)=1;
g1(125,149)=(-1);
g1(126,74)=1;
g1(126,149)=(-1);
g1(127,75)=1;
g1(127,149)=(-1);
g1(128,78)=1;
g1(128,12)=T(1);
g1(128,117)=(-T(1));
g1(128,147)=(-T(1));
g1(129,88)=1;
g1(129,190)=(-1);
g1(130,89)=1;
g1(130,117)=T(21)*params(45)*(T(1)*T(6)-1);
g1(130,147)=T(21)*(-params(45));
g1(130,150)=T(21)*(-params(45));
g1(130,50)=T(21);
g1(130,191)=(-1);
g1(131,89)=(-1);
g1(131,90)=1;
g1(132,77)=1;
g1(132,150)=(-1);
g1(133,76)=1;
g1(133,156)=(-4);
g1(134,99)=1;
g1(134,288)=(-4);
g1(135,98)=1;
g1(135,288)=(-4);
g1(136,104)=1;
g1(136,191)=(-T(9));
g1(137,92)=1;
g1(137,147)=(-1);
g1(137,50)=T(9);
g1(137,191)=(-T(9));
g1(138,93)=1;
g1(138,147)=(-1);
g1(138,50)=T(9);
g1(138,191)=(-T(9));
g1(139,94)=1;
g1(139,117)=params(45)/4;
g1(139,191)=(-0.25);
g1(140,79)=1;
g1(140,10)=1;
g1(140,114)=(-1);
g1(140,147)=(-1);
g1(141,80)=1;
g1(141,11)=1;
g1(141,116)=(-1);
g1(141,147)=(-1);
g1(142,81)=1;
g1(142,147)=(-1);
g1(142,29)=1;
g1(142,153)=(-1);
g1(142,43)=(-((-1)/(1-params(53))));
g1(142,178)=(-(1/(1-params(53))));
g1(143,82)=1;
g1(143,147)=(-1);
g1(143,39)=1;
g1(143,172)=(-1);
g1(144,85)=1;
g1(144,174)=(-1);
g1(145,86)=1;
g1(145,180)=(-1);
g1(146,83)=1;
g1(146,178)=(-1);
g1(147,84)=1;
g1(147,176)=(-1);
g1(148,87)=1;
g1(148,147)=(-1);
g1(148,47)=1;
g1(148,185)=(-1);
g1(149,96)=1;
g1(149,284)=(-0.1);
g1(149,295)=(-0.1);
g1(149,296)=(-0.1);
g1(149,297)=(-0.1);
g1(149,298)=(-0.1);
g1(149,299)=(-0.1);
g1(149,300)=(-0.1);
g1(149,301)=(-0.1);
g1(149,302)=(-0.1);
g1(149,303)=(-0.1);
g1(149,304)=(-0.1);
g1(149,305)=(-0.1);
g1(149,306)=(-0.1);
g1(149,307)=(-0.1);
g1(149,308)=(-0.1);
g1(149,309)=(-0.1);
g1(149,310)=(-0.1);
g1(149,311)=(-0.1);
g1(149,312)=(-0.1);
g1(149,313)=(-0.1);
g1(149,314)=(-0.1);
g1(149,315)=(-0.1);
g1(149,316)=(-0.1);
g1(149,317)=(-0.1);
g1(149,318)=(-0.1);
g1(149,319)=(-0.1);
g1(149,320)=(-0.1);
g1(149,321)=(-0.1);
g1(149,322)=(-0.1);
g1(149,323)=(-0.1);
g1(149,324)=(-0.1);
g1(149,325)=(-0.1);
g1(149,326)=(-0.1);
g1(149,327)=(-0.1);
g1(149,328)=(-0.1);
g1(149,329)=(-0.1);
g1(149,330)=(-0.1);
g1(149,331)=(-0.1);
g1(149,332)=(-0.1);
g1(149,333)=(-0.1);
g1(150,91)=1;
g1(150,117)=params(50);
g1(150,149)=(-params(50));
g1(150,153)=(-params(50));
g1(150,180)=(-(T(44)/(1+params(53))));
g1(151,95)=1;
g1(151,117)=params(50)+params(54)*(1-T(44)-params(13)*T(33)-T(41));
g1(151,149)=(-params(50));
g1(151,153)=(-params(50));
g1(151,180)=(-(T(44)/(1+params(53))));
g1(151,198)=(-(params(54)*(1-T(44)-params(13)*T(33)-T(41))));
g1(152,12)=1;
g1(152,117)=(-1);
g1(152,147)=(-1);
g1(152,56)=(-0.9);
g1(152,210)=1;
g1(153,9)=1;
g1(153,113)=(-1);
g1(153,147)=(-1);
g1(153,57)=(-0.9);
g1(153,211)=1;
g1(154,11)=1;
g1(154,116)=(-1);
g1(154,147)=(-1);
g1(154,58)=(-0.9);
g1(154,212)=1;
g1(155,147)=(-1);
g1(155,29)=1;
g1(155,153)=(-1);
g1(155,59)=(-0.9);
g1(155,213)=1;
g1(156,7)=1;
g1(156,111)=(-1);
g1(156,147)=(-1);
g1(156,60)=(-0.9);
g1(156,214)=1;
g1(157,147)=(-1);
g1(157,38)=1;
g1(157,170)=(-1);
g1(157,61)=(-0.9);
g1(157,215)=1;
g1(158,147)=(-1);
g1(158,209)=1;
g1(159,284)=(-1);
g1(159,231)=1;
g1(160,295)=(-1);
g1(160,232)=1;
g1(161,296)=(-1);
g1(161,233)=1;
g1(162,297)=(-1);
g1(162,234)=1;
g1(163,298)=(-1);
g1(163,235)=1;
g1(164,299)=(-1);
g1(164,236)=1;
g1(165,300)=(-1);
g1(165,237)=1;
g1(166,301)=(-1);
g1(166,238)=1;
g1(167,302)=(-1);
g1(167,239)=1;
g1(168,303)=(-1);
g1(168,240)=1;
g1(169,304)=(-1);
g1(169,241)=1;
g1(170,305)=(-1);
g1(170,242)=1;
g1(171,306)=(-1);
g1(171,243)=1;
g1(172,307)=(-1);
g1(172,244)=1;
g1(173,308)=(-1);
g1(173,245)=1;
g1(174,309)=(-1);
g1(174,246)=1;
g1(175,310)=(-1);
g1(175,247)=1;
g1(176,311)=(-1);
g1(176,248)=1;
g1(177,312)=(-1);
g1(177,249)=1;
g1(178,313)=(-1);
g1(178,250)=1;
g1(179,314)=(-1);
g1(179,251)=1;
g1(180,315)=(-1);
g1(180,252)=1;
g1(181,316)=(-1);
g1(181,253)=1;
g1(182,317)=(-1);
g1(182,254)=1;
g1(183,318)=(-1);
g1(183,255)=1;
g1(184,319)=(-1);
g1(184,256)=1;
g1(185,320)=(-1);
g1(185,257)=1;
g1(186,321)=(-1);
g1(186,258)=1;
g1(187,322)=(-1);
g1(187,259)=1;
g1(188,323)=(-1);
g1(188,260)=1;
g1(189,324)=(-1);
g1(189,261)=1;
g1(190,325)=(-1);
g1(190,262)=1;
g1(191,326)=(-1);
g1(191,263)=1;
g1(192,327)=(-1);
g1(192,264)=1;
g1(193,328)=(-1);
g1(193,265)=1;
g1(194,329)=(-1);
g1(194,266)=1;
g1(195,330)=(-1);
g1(195,267)=1;
g1(196,331)=(-1);
g1(196,268)=1;
g1(197,332)=(-1);
g1(197,269)=1;
g1(198,342)=(-1);
g1(198,270)=1;
g1(199,343)=(-1);
g1(199,271)=1;
g1(200,346)=(-1);
g1(200,272)=1;
g1(201,347)=(-1);
g1(201,273)=1;
g1(202,344)=(-1);
g1(202,274)=1;
g1(203,345)=(-1);
g1(203,275)=1;
g1(204,348)=(-1);
g1(204,276)=1;

end
