function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 62);

T(1) = 1+params(25)/100;
T(2) = params(60)^2;
T(3) = log(params(61))+0.5*T(2);
T(4) = T(3)/params(60);
T(5) = 1+params(150)/100;
T(6) = 1+params(7)/100;
T(7) = 1/(params(11)/(1-params(11)));
T(8) = 1-params(149);
T(9) = 1/params(45);
T(10) = params(15)/T(1);
T(11) = 1-T(10);
T(12) = params(14)*params(15)/T(1);
T(13) = (1-params(44))/(T(1)*T(6));
T(14) = (1-params(14))/T(11);
T(15) = T(1)^2;
T(16) = params(12)*T(15);
T(17) = T(5)/T(1);
T(18) = T(5)*params(45)/T(1);
T(19) = (-params(114))*(1-params(111))/params(45);
T(20) = (-params(119))*(1-params(116))/params(45);
T(21) = 1/(T(1)*T(6));
T(22) = 1/(params(61)*params(60))*normpdf(T(4),0,1);
T(23) = params(61)*T(22);
T(24) = 1-normcdf(T(4),0,1);
T(25) = normcdf(T(4)-params(60),0,1)+params(61)*T(24)-params(59)*normcdf(T(4)-params(60),0,1);
T(26) = T(24)/(T(24)-params(59)*(T(23)*(1-(normcdf(T(4)-params(60),0,1)+params(61)*T(24)))+normcdf(T(4)-params(60),0,1)*T(24)));
T(27) = 1-T(25)*T(26);
T(28) = 1/T(27);
T(29) = params(59)*((T(22)+params(61)*(1+T(3)/T(2))*(-T(22))/params(61))*T(24)-(-T(22))*T(23))/(T(24)-params(59)*T(23))^2;
T(30) = T(28)/((1-(normcdf(T(4)-params(60),0,1)+params(61)*T(24))+T(25)*T(24)/(T(24)-params(59)*T(23))+(-T(25))/((T(24)-params(59)*T(23))*T(26))*(T(26)*T(25)*T(29)-T(29)))/(T(27)/(T(28)*(T(24)-params(59)*T(23))*T(26))*(T(29)-T(26)*T(25)*T(29))))*1/T(26);
T(31) = T(5)*T(6);
T(32) = 1-(1-params(13))/T(1);
T(33) = params(4)/(T(1)*T(32));
T(34) = T(26)*T(31);
T(35) = 1-params(59)*normcdf(T(4)-params(60),0,1);
T(36) = T(28)*T(34)*T(35)-T(31)*(T(28)-1);
T(37) = T(34)/T(6);
T(38) = params(13)+(T(37)-1)/(1-params(54));
T(39) = params(57)/T(1)*T(36);
T(40) = T(39)/T(6);
T(41) = T(27)*T(33)*(1-T(40));
T(42) = params(65)*params(58)*T(27)*T(33)*(1-params(57))/(1+params(51))*T(36)/(T(1)*T(6));
T(43) = T(33)*T(38);
T(44) = 1-T(43)-T(41);
T(45) = params(50)/(T(44)/(1+params(53)));
T(46) = 1-params(27)-params(4)-T(42);
T(47) = 1-params(52)-T(45);
T(48) = (1+params(153)*params(44)/T(31)-params(153))/(1-(1-params(44))*params(153)/T(31));
T(49) = params(45)*(-(T(17)-1));
T(50) = (params(14)-1)*T(33)*T(38)*T(44)*1/params(33)*T(47)/(1+params(51))/T(43)/T(46);
T(51) = 1+params(44)/T(48)-params(44);
T(52) = (1-params(153))/T(48);
T(53) = params(153)*(1-params(44))*params(153)/(T(31)-params(153)*(1-params(44)));
T(54) = T(1)*params(153)/T(5);
T(55) = T(41)*T(28)/T(33)/params(16);
T(56) = (T(28)-1)/(T(33)-T(27)*T(33));
T(57) = 1/(1+T(54));
T(58) = 1/(1+params(30)*T(54));
T(59) = (1-params(31))*(1-params(31)*T(54))/params(31)/(1+params(2)*(params(16)-1));
T(60) = 1/(1+(params(33)-1)*params(1))*(1-params(18))*(1-params(18)*T(54))/(params(18)*(1+T(54)));
T(61) = y(183)+y(117)*params(46)+T(44)*(y(178)+y(180)+y(176)+(y(153)+y(149))*(params(53)+params(52)+T(45)))+(1-params(27)-params(4))*(y(174)+params(51)*y(114))+params(54)*y(198)*(1-T(44)-params(13)*T(33)-T(41));
T(62) = (1-params(47))*(1-T(1)*params(47)*params(153)/T(5))/params(47);

end
