function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = E_obc_e.static_resid_tt(T, y, x, params);
end
residual = zeros(204, 1);
lhs = y(99);
rhs = y(45)-y(55);
residual(1) = lhs - rhs;
lhs = y(90);
rhs = T(28)*y(47)+T(29)*(y(57)+y(68))+T(26)*y(58);
residual(2) = lhs - rhs;
lhs = y(46);
rhs = y(47)*T(37);
residual(3) = lhs - rhs;
lhs = y(47);
rhs = y(57)+y(68)+y(56)-y(48);
residual(4) = lhs - rhs;
lhs = y(48);
rhs = y(46)+y(49)-y(75);
residual(5) = lhs - rhs;
lhs = 0;
rhs = y(58)-y(55)/params(16);
residual(6) = lhs - rhs;
lhs = y(53);
rhs = params(153)*(y(53)+y(59)-params(14)*y(75)-y(91)*params(62))-params(151)*(1-params(153))*y(130)/(params(45)+params(63)*(T(18)-T(10)*T(18)+params(56)));
residual(7) = lhs - rhs;
lhs = y(53)*T(39);
rhs = (-params(14))*y(51)+(y(51)-y(75))*T(40)+y(56)*T(41)-T(39)*y(66)/(1+params(51));
residual(8) = lhs - rhs;
lhs = y(129);
rhs = params(153)*(y(53)-params(14)*y(75)-y(53))/T(16)*T(42)-params(153)*y(91)*params(62)/T(33)+y(129)*params(153)*(1-params(44))/T(16)-T(43)*(y(53)+params(151)*y(130)/(params(45)+params(63)*(T(18)-T(10)*T(18)+params(56))));
residual(9) = lhs - rhs;
lhs = y(53);
rhs = params(153)*(y(53)+y(128)-params(14)*y(75)-y(91)*params(62))-(1-params(153))*params(151)*y(130)/(params(45)+params(63)*(T(18)-T(10)*T(18)+params(56)));
residual(10) = lhs - rhs;
lhs = y(127)-y(128);
rhs = (y(127)-y(128))*T(44);
residual(11) = lhs - rhs;
lhs = y(55);
rhs = params(28)*y(60)+y(92)+params(4)*y(54)+T(31)*y(51)+T(27)*y(155)+T(28)*y(46);
residual(12) = lhs - rhs;
lhs = y(52);
rhs = (T(31)*y(51)+T(27)*y(155))/(1-params(27)-params(4));
residual(13) = lhs - rhs;
lhs = y(55);
rhs = params(16)*(y(90)+T(28)*y(48)+T(29)*y(56));
residual(14) = lhs - rhs;
lhs = y(56)*params(32)+(1-params(14))/T(39)*(y(51)-T(38)*(y(51)-y(75)))+y(56)*T(41)/T(39);
rhs = y(57)+y(53)-y(97)-(y(72)+y(70))/T(32);
residual(15) = lhs - rhs;
lhs = y(49);
rhs = (y(49)-y(75))*(1-T(17))+T(17)*y(54)+y(93)*T(46)*T(17)*(1+T(47));
residual(16) = lhs - rhs;
lhs = y(130);
rhs = params(63)*(y(145)+y(148))+y(131);
residual(17) = lhs - rhs;
lhs = (1-T(29)-params(13)*T(18)-T(26))*y(136);
rhs = y(55)-(T(26)*y(58)+T(29)*(y(57)+y(56)))-T(28)*y(37)-params(13)*T(18)*(y(49)-y(75));
residual(18) = lhs - rhs;
lhs = y(131);
rhs = x(19)+params(55)*y(62)+params(28)*y(60)+T(34)*(y(131)-y(75))+y(127)*T(48)-(y(133)+y(55)*params(46)+T(29)*(y(68)+y(72)+y(70)+(y(57)+y(56))*(params(53)+T(30)+params(52)))+(1-params(27)-params(4))*(y(66)+params(51)*y(52))+(1-T(29)-params(13)*T(18)-T(26))*params(54)*y(136));
residual(19) = lhs - rhs;
lhs = y(61)-params(115)*y(122);
rhs = T(49)*((1-params(112))*x(9)+params(111)*(y(61)-params(115)*y(122))+y(131)*T(50)+params(112)*x(9));
residual(20) = lhs - rhs;
lhs = y(60);
rhs = T(49)*(y(61)+y(55)*params(113));
residual(21) = lhs - rhs;
lhs = y(134)-y(122)*params(125);
rhs = T(49)*((1-params(122))*x(10)+params(121)*(y(134)-y(122)*params(125))+y(131)*params(124)*(1-params(121))/params(45)+params(122)*x(10));
residual(22) = lhs - rhs;
lhs = y(133);
rhs = T(49)*(y(134)+y(55)*params(123));
residual(23) = lhs - rhs;
lhs = y(67)-y(122)*params(130);
rhs = T(49)*((1-params(127))*x(13)+params(126)*(y(67)-y(122)*params(130))+y(131)*params(129)*(1-params(126))/params(45)+params(127)*x(13));
residual(24) = lhs - rhs;
lhs = y(66);
rhs = T(49)*(y(67)+y(55)*params(128));
residual(25) = lhs - rhs;
lhs = y(71)-y(122)*params(135);
rhs = T(49)*((1-params(132))*x(14)+params(131)*(y(71)-y(122)*params(135))+y(131)*params(134)*(1-params(131))/params(45)+params(132)*x(14));
residual(26) = lhs - rhs;
lhs = y(70);
rhs = T(49)*(y(71)+y(55)*params(133));
residual(27) = lhs - rhs;
lhs = y(73)-y(122)*params(140);
rhs = T(49)*((1-params(137))*x(11)+params(136)*(y(73)-y(122)*params(140))+y(131)*params(139)*(1-params(136))/params(45)+params(137)*x(11));
residual(28) = lhs - rhs;
lhs = y(72);
rhs = T(49)*(y(73)+y(55)*params(138));
residual(29) = lhs - rhs;
lhs = y(69)-y(122)*params(145);
rhs = T(49)*((1-params(142))*x(12)+params(141)*(y(69)-y(122)*params(145))+y(131)*params(144)*(1-params(141))/params(45)+params(142)*x(12));
residual(30) = lhs - rhs;
lhs = y(68);
rhs = T(49)*(y(69)+y(55)*params(143));
residual(31) = lhs - rhs;
lhs = y(62)*T(49);
rhs = T(49)*(y(64)+y(65))+params(149)*(y(131)-x(20));
residual(32) = lhs - rhs;
lhs = y(64);
rhs = y(64)*0.995+y(63);
residual(33) = lhs - rhs;
lhs = y(63);
rhs = params(116)*y(63)+(1-params(117))*x(15)+params(117)*x(15);
residual(34) = lhs - rhs;
lhs = y(65);
rhs = T(49)*(y(55)*params(118)+y(131)*T(51));
residual(35) = lhs - rhs;
residual(36) = y(74);
residual(37) = y(132);
lhs = y(135);
rhs = params(28)*y(60)-y(133)-params(55)*y(62)-T(35)*y(55)-y(55)*params(46);
residual(38) = lhs - rhs;
lhs = y(36);
rhs = T(28)*y(38)+T(29)*(y(81)+y(106))+T(26)*y(83)-y(90);
residual(39) = lhs - rhs;
lhs = y(75);
rhs = y(75)*params(39)+x(1);
residual(40) = lhs - rhs;
lhs = y(76);
rhs = y(75);
residual(41) = lhs - rhs;
lhs = y(37);
rhs = T(37)*y(38);
residual(42) = lhs - rhs;
lhs = y(38);
rhs = y(106)+y(81)+y(77)-y(39);
residual(43) = lhs - rhs;
lhs = y(36);
rhs = y(83)-y(45)/params(16);
residual(44) = lhs - rhs;
lhs = y(39);
rhs = y(37)+y(98)-y(75);
residual(45) = lhs - rhs;
lhs = y(149);
rhs = T(25)*(y(149)+y(28)-y(78)-y(75))+y(83)*T(52);
residual(46) = lhs - rhs;
lhs = T(21)*(y(28)-y(78))/T(15);
rhs = T(11)*T(22)*(T(20)*(y(150)-y(78)+y(151))-y(157)*params(61)*T(6)*params(59))-T(14)*((T(11)-1)*(y(29)-y(78))+T(11)*y(151));
residual(47) = lhs - rhs;
lhs = y(150)-y(78);
rhs = ((1-params(13))*y(40)+y(38)*(1-params(54))*T(23))/T(22)-y(40);
residual(48) = lhs - rhs;
residual(49) = y(91)+y(29)-y(84);
lhs = T(9)*(y(91)+y(150)-y(84));
rhs = T(13)*y(151);
residual(50) = lhs - rhs;
lhs = y(151);
rhs = y(98)+y(40)-y(149);
residual(51) = lhs - rhs;
lhs = y(149);
rhs = T(11)*(y(98)+y(40))-y(146)*T(53);
residual(52) = lhs - rhs;
lhs = y(147);
rhs = params(56)*(T(29)*(y(81)+y(77))+T(28)*(y(38)+y(39)));
residual(53) = lhs - rhs;
lhs = y(156);
rhs = params(65)*(y(149)+y(28)-y(78)-y(75)-y(102)/(1+params(51)));
residual(54) = lhs - rhs;
lhs = (y(150)-y(78))*T(8)*T(22)+y(157)*params(61)*(T(7)-T(6)*params(59))*T(22);
rhs = T(14)*(T(10)*(y(98)+y(40)-y(149))+(y(29)-y(78))*T(10)*(T(11)-1));
residual(55) = lhs - rhs;
lhs = y(44);
rhs = y(93)+T(54)*(y(40)*1/T(46)+y(44)+T(47)*y(44)-y(75)+y(75)*T(47));
residual(56) = lhs - rhs;
lhs = y(152);
rhs = T(24)*(y(152)+y(30)-y(75))+y(58)*T(52);
residual(57) = lhs - rhs;
lhs = T(21)*y(30)/T(15);
rhs = T(11)*T(22)*(T(20)*(y(153)+y(154))-params(61)*T(6)*params(59)*y(158))-T(14)*((T(11)-1)*y(31)+T(11)*y(154));
residual(58) = lhs - rhs;
lhs = y(153);
rhs = ((1-params(13))*y(50)+y(47)*(1-params(54))*T(23))/T(22)-y(50);
residual(59) = lhs - rhs;
residual(60) = y(91)+y(31)-y(59);
lhs = T(9)*(y(91)+y(153)-y(59));
rhs = T(13)*y(154);
residual(61) = lhs - rhs;
lhs = y(154);
rhs = y(49)+y(50)-y(152);
residual(62) = lhs - rhs;
lhs = y(152);
rhs = T(11)*(y(49)+y(50))-y(145)*T(53);
residual(63) = lhs - rhs;
lhs = y(148);
rhs = params(56)*(T(29)*(y(57)+y(56))+T(28)*(y(47)+y(48)));
residual(64) = lhs - rhs;
lhs = y(155);
rhs = params(65)*(y(152)+y(30)-y(75)-y(66)/(1+params(51)));
residual(65) = lhs - rhs;
lhs = T(8)*T(22)*y(153)+params(61)*(T(7)-T(6)*params(59))*T(22)*y(158);
rhs = T(14)*(T(10)*(y(49)+y(50)-y(152))+T(10)*(T(11)-1)*y(31));
residual(66) = lhs - rhs;
lhs = y(54);
rhs = y(93)+T(54)*(y(75)*T(47)+1/T(46)*y(50)+y(54)+y(54)*T(47)-y(75));
residual(67) = lhs - rhs;
lhs = y(43);
rhs = params(153)*(y(84)+y(43)-y(78)-params(14)*y(75)-y(91)*params(62))-params(151)*(1-params(153))*y(117)/(params(45)+params(63)*(T(18)-T(10)*T(18)+params(56)));
residual(68) = lhs - rhs;
lhs = T(39)*y(43);
rhs = (-params(14))*y(41)+T(40)*(y(41)-y(75))+T(41)*y(77)-T(39)*y(102)/(1+params(51));
residual(69) = lhs - rhs;
lhs = y(125);
rhs = T(42)*params(153)*(y(43)-params(14)*y(75)-y(43)-y(78))/T(16)-params(153)*y(91)*params(62)/T(33)+params(153)*(1-params(44))/T(16)*y(125)-T(43)*(y(43)+params(151)*y(117)/(params(45)+params(63)*(T(18)-T(10)*T(18)+params(56))));
residual(70) = lhs - rhs;
lhs = y(43);
rhs = params(153)*(y(43)+y(124)-y(78)-params(14)*y(75)-y(91)*params(62))-(1-params(153))*params(151)*y(117)/(params(45)+params(63)*(T(18)-T(10)*T(18)+params(56)));
residual(71) = lhs - rhs;
lhs = y(123)-y(124);
rhs = T(44)*(y(123)-y(124));
residual(72) = lhs - rhs;
lhs = y(45);
rhs = T(28)*y(37)+y(92)+params(28)*y(100)+params(4)*y(44)+T(31)*y(41)+T(27)*y(156);
residual(73) = lhs - rhs;
lhs = y(144);
rhs = y(92)+params(28)*y(100)+params(4)*y(44)+T(31)*y(41);
residual(74) = lhs - rhs;
lhs = y(45);
rhs = params(16)*(y(90)+T(28)*y(39)+T(29)*y(77));
residual(75) = lhs - rhs;
lhs = y(78)-y(79);
rhs = y(95)+T(55)*((y(78)-y(79))*params(30)+T(47)*(y(78)-y(79))+y(36)*T(56));
residual(76) = lhs - rhs;
lhs = y(81);
rhs = y(96)+y(81)*T(54)+y(81)*T(57)+y(78)*params(17)/(1+T(47))-y(78)*(1+T(47)*params(17))/(1+T(47))+T(54)*(y(76)+y(75)*T(47)-y(75)-T(47)*y(76))+y(78)*T(57)-y(79)*T(47)*(1-params(17))/(1+T(47))+y(79)*(1-params(17))/(1+T(47))+(y(82)-y(81))*T(58);
residual(77) = lhs - rhs;
lhs = params(32)*y(77)+(1-params(14))/T(39)*(y(41)-T(38)*(y(41)-y(75)))+T(41)/T(39)*y(77);
rhs = y(43)+y(82)-y(97)-(y(104)+y(108))/T(32);
residual(78) = lhs - rhs;
residual(79) = y(86)-y(85);
lhs = y(85);
rhs = y(79)+(y(78)-y(79))*params(34)*(1-params(37))+(y(45)-y(55))*(1-params(37))*params(36)+params(35)*(y(55)+y(45)-y(55)-y(45))+params(37)*(y(84)-y(79));
residual(80) = lhs - rhs;
lhs = y(84);
rhs = y(86)+y(94)+y(25);
residual(81) = lhs - rhs;
lhs = y(25);
rhs = y(25)*params(87)+x(21);
residual(82) = lhs - rhs;
lhs = y(117);
rhs = params(63)*(y(146)+y(147))+y(119);
residual(83) = lhs - rhs;
lhs = y(42);
rhs = (T(31)*y(41)+T(27)*y(156))/(1-params(27)-params(4));
residual(84) = lhs - rhs;
lhs = y(90);
rhs = y(90)*params(38)+x(2);
residual(85) = lhs - rhs;
lhs = y(91);
rhs = y(91)*params(40)+x(3);
residual(86) = lhs - rhs;
lhs = y(92);
rhs = y(92)*params(19)+x(4)+x(2)*params(3);
residual(87) = lhs - rhs;
lhs = y(93);
rhs = y(93)*params(20)+x(5);
residual(88) = lhs - rhs;
lhs = y(94);
rhs = y(94)*params(21)+x(6);
residual(89) = lhs - rhs;
lhs = y(95);
rhs = y(95)*params(22)+y(35)-params(10)*y(35);
residual(90) = lhs - rhs;
lhs = y(35);
rhs = x(7);
residual(91) = lhs - rhs;
lhs = y(96);
rhs = y(96)*params(24)+y(34)-params(9)*y(34);
residual(92) = lhs - rhs;
lhs = y(34);
rhs = x(8);
residual(93) = lhs - rhs;
lhs = y(97);
rhs = x(17);
residual(94) = lhs - rhs;
lhs = y(79);
rhs = y(79)*params(23)+x(18);
residual(95) = lhs - rhs;
lhs = y(98);
rhs = (1-T(17))*(y(98)-y(75))+T(17)*y(44)+y(93)*params(12)*T(45)*T(17)*(1+T(47));
residual(96) = lhs - rhs;
lhs = (1-T(29)-params(13)*T(18)-T(26))*y(126);
rhs = y(45)-(T(26)*y(83)+T(29)*(y(81)+y(77)))-T(28)*y(37)-params(13)*T(18)*(y(98)-y(75));
residual(97) = lhs - rhs;
lhs = y(119);
rhs = x(19)+params(55)*y(113)+params(28)*y(100)+T(34)*(y(119)-y(75))+T(48)*(y(123)-y(78))-T(59);
residual(98) = lhs - rhs;
lhs = y(101)-params(115)*y(122);
rhs = T(49)*((1-params(112))*x(9)+params(111)*(y(101)-params(115)*y(122))+T(50)*y(119)+params(112)*x(9));
residual(99) = lhs - rhs;
lhs = y(100);
rhs = T(49)*(y(101)+y(45)*params(113));
residual(100) = lhs - rhs;
lhs = y(112)-y(122)*params(125);
rhs = T(49)*((1-params(122))*x(10)+params(121)*(y(112)-y(122)*params(125))+params(124)*(1-params(121))/params(45)*y(119)+params(122)*x(10));
residual(101) = lhs - rhs;
lhs = y(111);
rhs = T(49)*(y(112)+y(45)*params(123));
residual(102) = lhs - rhs;
lhs = y(103)-y(122)*params(130);
rhs = T(49)*((1-params(127))*x(13)+params(126)*(y(103)-y(122)*params(130))+params(129)*(1-params(126))/params(45)*y(119)+params(127)*x(13));
residual(103) = lhs - rhs;
lhs = y(102);
rhs = T(49)*(y(103)+y(45)*params(128));
residual(104) = lhs - rhs;
lhs = y(109)-y(122)*params(135);
rhs = T(49)*((1-params(132))*x(14)+params(131)*(y(109)-y(122)*params(135))+params(134)*(1-params(131))/params(45)*y(119)+params(132)*x(14));
residual(105) = lhs - rhs;
lhs = y(108);
rhs = T(49)*(y(109)+y(45)*params(133));
residual(106) = lhs - rhs;
lhs = y(105)-y(122)*params(140);
rhs = T(49)*((1-params(137))*x(11)+params(136)*(y(105)-y(122)*params(140))+params(139)*(1-params(136))/params(45)*y(119)+params(137)*x(11));
residual(107) = lhs - rhs;
lhs = y(104);
rhs = T(49)*(y(105)+y(45)*params(138));
residual(108) = lhs - rhs;
lhs = y(107)-y(122)*params(145);
rhs = T(49)*((1-params(142))*x(12)+params(141)*(y(107)-y(122)*params(145))+params(144)*(1-params(141))/params(45)*y(119)+params(142)*x(12));
residual(109) = lhs - rhs;
lhs = y(106);
rhs = T(49)*(y(107)+y(45)*params(143));
residual(110) = lhs - rhs;
residual(111) = y(110);
lhs = T(49)*y(113);
rhs = T(49)*(y(115)+y(116))+params(149)*(y(119)-x(20));
residual(112) = lhs - rhs;
lhs = y(115);
rhs = 0.995*y(115)+y(114);
residual(113) = lhs - rhs;
lhs = y(114);
rhs = (1-params(117))*x(15)+params(116)*y(114)+params(117)*x(15);
residual(114) = lhs - rhs;
lhs = y(116);
rhs = T(49)*(y(45)*params(118)+T(51)*y(119));
residual(115) = lhs - rhs;
residual(116) = y(120);
lhs = y(122);
rhs = y(122)*params(146)+y(121);
residual(117) = lhs - rhs;
lhs = y(121);
rhs = y(121)*params(147)+x(16);
residual(118) = lhs - rhs;
lhs = y(118);
rhs = params(28)*y(100)+params(55)*y(113)-T(59)-T(35)*y(45);
residual(119) = lhs - rhs;
lhs = y(80);
rhs = 4*y(78);
residual(120) = lhs - rhs;
lhs = y(87);
rhs = 4*y(84);
residual(121) = lhs - rhs;
lhs = y(88);
rhs = y(87)-y(80);
residual(122) = lhs - rhs;
lhs = y(89);
rhs = y(42)-y(44);
residual(123) = lhs - rhs;
lhs = 0;
rhs = (y(77)-y(33))*T(60);
residual(124) = lhs - rhs;
lhs = y(1);
rhs = params(6);
residual(125) = lhs - rhs;
lhs = y(2);
rhs = y(77)+params(6);
residual(126) = lhs - rhs;
lhs = y(3);
rhs = y(77)+params(6);
residual(127) = lhs - rhs;
lhs = y(6);
rhs = params(25)+T(1)*y(75);
residual(128) = lhs - rhs;
lhs = y(16);
rhs = 100*T(35)+y(118);
residual(129) = lhs - rhs;
lhs = y(17);
rhs = 100*params(45)*(1-T(36))+y(119)-T(36)*(y(119)+params(45)*(y(45)*(T(1)*T(15)-1)-(y(75)+y(78))));
residual(130) = lhs - rhs;
lhs = y(18);
rhs = y(17);
residual(131) = lhs - rhs;
lhs = y(5);
rhs = params(7)+y(78);
residual(132) = lhs - rhs;
lhs = y(4);
rhs = 4*(100*(T(16)-1)+y(84));
residual(133) = lhs - rhs;
lhs = y(27);
rhs = 4*(100*(T(16)-1)+y(84));
residual(134) = lhs - rhs;
lhs = y(26);
rhs = 4*(100*(T(16)-1)+y(84));
residual(135) = lhs - rhs;
lhs = y(32);
rhs = y(119)/params(45)+params(49);
residual(136) = lhs - rhs;
lhs = y(20)-params(25);
rhs = y(75);
residual(137) = lhs - rhs;
lhs = y(21)-params(25);
rhs = y(75);
residual(138) = lhs - rhs;
lhs = y(22);
rhs = 100*params(45)/4+y(119)/4-y(45)*params(45)/4;
residual(139) = lhs - rhs;
lhs = y(7);
rhs = params(25)+y(75);
residual(140) = lhs - rhs;
lhs = y(8);
rhs = params(25)+y(75);
residual(141) = lhs - rhs;
lhs = y(9);
rhs = params(25)+y(75);
residual(142) = lhs - rhs;
lhs = y(10);
rhs = params(25)+y(75);
residual(143) = lhs - rhs;
lhs = y(13)-100*params(51);
rhs = y(102);
residual(144) = lhs - rhs;
lhs = y(14)-100*T(30);
rhs = y(108);
residual(145) = lhs - rhs;
lhs = y(11)-100*params(53);
rhs = y(106);
residual(146) = lhs - rhs;
lhs = y(12)-100*params(52);
rhs = y(104);
residual(147) = lhs - rhs;
lhs = y(15);
rhs = params(25)+y(75);
residual(148) = lhs - rhs;
lhs = y(24);
rhs = params(8)+4*(T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+T(61)+params(7)+T(61));
residual(149) = lhs - rhs;
lhs = y(19)-100*params(50);
rhs = T(29)/(1+params(53))*(y(108)+T(30)*(y(81)+y(77)))-params(50)*y(45);
residual(150) = lhs - rhs;
lhs = y(23)-100*params(5);
rhs = (1-T(29)-params(13)*T(18)-T(26))*params(54)*y(126)+T(29)/(1+params(53))*(y(108)+T(30)*(y(81)+y(77)))-y(45)*(params(50)+params(54)*(1-T(29)-params(13)*T(18)-T(26)));
residual(151) = lhs - rhs;
lhs = y(138);
rhs = y(75)+y(138)*0.9;
residual(152) = lhs - rhs;
lhs = y(139);
rhs = y(75)+0.9*y(139);
residual(153) = lhs - rhs;
lhs = y(140);
rhs = y(75)+0.9*y(140);
residual(154) = lhs - rhs;
lhs = y(141);
rhs = y(75)+0.9*y(141);
residual(155) = lhs - rhs;
lhs = y(142);
rhs = y(75)+0.9*y(142);
residual(156) = lhs - rhs;
lhs = y(143);
rhs = y(75)+0.9*y(143);
residual(157) = lhs - rhs;
lhs = y(137);
rhs = y(75);
residual(158) = lhs - rhs;
lhs = y(159);
rhs = y(78);
residual(159) = lhs - rhs;
lhs = y(160);
rhs = y(78);
residual(160) = lhs - rhs;
lhs = y(161);
rhs = y(78);
residual(161) = lhs - rhs;
lhs = y(162);
rhs = y(78);
residual(162) = lhs - rhs;
lhs = y(163);
rhs = y(78);
residual(163) = lhs - rhs;
lhs = y(164);
rhs = y(78);
residual(164) = lhs - rhs;
lhs = y(165);
rhs = y(78);
residual(165) = lhs - rhs;
lhs = y(166);
rhs = y(78);
residual(166) = lhs - rhs;
lhs = y(167);
rhs = y(78);
residual(167) = lhs - rhs;
lhs = y(168);
rhs = y(78);
residual(168) = lhs - rhs;
lhs = y(169);
rhs = y(78);
residual(169) = lhs - rhs;
lhs = y(170);
rhs = y(78);
residual(170) = lhs - rhs;
lhs = y(171);
rhs = y(78);
residual(171) = lhs - rhs;
lhs = y(172);
rhs = y(78);
residual(172) = lhs - rhs;
lhs = y(173);
rhs = y(78);
residual(173) = lhs - rhs;
lhs = y(174);
rhs = y(78);
residual(174) = lhs - rhs;
lhs = y(175);
rhs = y(78);
residual(175) = lhs - rhs;
lhs = y(176);
rhs = y(78);
residual(176) = lhs - rhs;
lhs = y(177);
rhs = y(78);
residual(177) = lhs - rhs;
lhs = y(178);
rhs = y(78);
residual(178) = lhs - rhs;
lhs = y(179);
rhs = y(78);
residual(179) = lhs - rhs;
lhs = y(180);
rhs = y(78);
residual(180) = lhs - rhs;
lhs = y(181);
rhs = y(78);
residual(181) = lhs - rhs;
lhs = y(182);
rhs = y(78);
residual(182) = lhs - rhs;
lhs = y(183);
rhs = y(78);
residual(183) = lhs - rhs;
lhs = y(184);
rhs = y(78);
residual(184) = lhs - rhs;
lhs = y(185);
rhs = y(78);
residual(185) = lhs - rhs;
lhs = y(186);
rhs = y(78);
residual(186) = lhs - rhs;
lhs = y(187);
rhs = y(78);
residual(187) = lhs - rhs;
lhs = y(188);
rhs = y(78);
residual(188) = lhs - rhs;
lhs = y(189);
rhs = y(78);
residual(189) = lhs - rhs;
lhs = y(190);
rhs = y(78);
residual(190) = lhs - rhs;
lhs = y(191);
rhs = y(78);
residual(191) = lhs - rhs;
lhs = y(192);
rhs = y(78);
residual(192) = lhs - rhs;
lhs = y(193);
rhs = y(78);
residual(193) = lhs - rhs;
lhs = y(194);
rhs = y(78);
residual(194) = lhs - rhs;
lhs = y(195);
rhs = y(78);
residual(195) = lhs - rhs;
lhs = y(196);
rhs = y(78);
residual(196) = lhs - rhs;
lhs = y(197);
rhs = y(78);
residual(197) = lhs - rhs;
lhs = y(198);
rhs = x(9);
residual(198) = lhs - rhs;
lhs = y(199);
rhs = x(10);
residual(199) = lhs - rhs;
lhs = y(200);
rhs = x(13);
residual(200) = lhs - rhs;
lhs = y(201);
rhs = x(14);
residual(201) = lhs - rhs;
lhs = y(202);
rhs = x(11);
residual(202) = lhs - rhs;
lhs = y(203);
rhs = x(12);
residual(203) = lhs - rhs;
lhs = y(204);
rhs = x(15);
residual(204) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
