function T = static_resid_tt(T, y, x, params)
% function T = static_resid_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 61);

T(1) = 1+params(25)/100;
T(2) = params(60)^2;
T(3) = log(params(61))+0.5*T(2);
T(4) = T(3)/params(60);
T(5) = 1/(params(61)*params(60))*normpdf(T(4),0,1);
T(6) = params(61)*T(5);
T(7) = 1-normcdf(T(4),0,1);
T(8) = normcdf(T(4)-params(60),0,1)+params(61)*T(7)-normcdf(T(4)-params(60),0,1)*params(59);
T(9) = T(7)/(T(7)-params(59)*(T(6)*(1-(normcdf(T(4)-params(60),0,1)+params(61)*T(7)))+normcdf(T(4)-params(60),0,1)*T(7)));
T(10) = 1-T(8)*T(9);
T(11) = 1/T(10);
T(12) = params(59)*((T(5)+params(61)*(1+T(3)/T(2))*(-T(5))/params(61))*T(7)-(-T(5))*T(6))/(T(7)-T(6)*params(59))^2;
T(13) = T(11)/((1-(normcdf(T(4)-params(60),0,1)+params(61)*T(7))+T(8)*T(7)/(T(7)-T(6)*params(59))+(-T(8))/((T(7)-T(6)*params(59))*T(9))*(T(9)*T(8)*T(12)-T(12)))/(T(10)/(T(11)*(T(7)-T(6)*params(59))*T(9))*(T(12)-T(9)*T(8)*T(12))))*1/T(9);
T(14) = 1+params(150)/100;
T(15) = 1+params(7)/100;
T(16) = T(14)*T(15);
T(17) = 1-(1-params(13))/T(1);
T(18) = params(4)/(T(1)*T(17));
T(19) = T(9)*T(16);
T(20) = 1-normcdf(T(4)-params(60),0,1)*params(59);
T(21) = T(11)*T(19)*T(20)-T(16)*(T(11)-1);
T(22) = T(19)/T(15);
T(23) = params(13)+(T(22)-1)/(1-params(54));
T(24) = T(21)*params(57)/T(1);
T(25) = T(24)/T(15);
T(26) = T(10)*T(18)*(1-T(25));
T(27) = params(65)*params(58)*T(10)*T(18)*T(21)*(1-params(57))/(1+params(51))/(T(1)*T(15));
T(28) = T(18)*T(23);
T(29) = 1-T(28)-T(26);
T(30) = params(50)/(T(29)/(1+params(53)));
T(31) = 1-params(27)-params(4)-T(27);
T(32) = 1-params(52)-T(30);
T(33) = (1+params(153)*params(44)/T(16)-params(153))/(1-(1-params(44))*params(153)/T(16));
T(34) = T(14)/T(1);
T(35) = params(45)*(-(T(34)-1));
T(36) = 1/(T(1)*T(15));
T(37) = 1/(params(11)/(1-params(11)));
T(38) = params(15)/T(1);
T(39) = 1-T(38);
T(40) = params(14)*params(15)/T(1);
T(41) = T(18)*T(23)*T(29)*1/params(33)*T(32)/(1+params(51))/T(28)/T(31)*(params(14)-1);
T(42) = 1+params(44)/T(33)-params(44);
T(43) = (1-params(153))/T(33);
T(44) = (1-params(44))/(T(1)*T(15));
T(45) = T(1)^2;
T(46) = params(12)*T(45);
T(47) = T(1)*params(153)/T(14);
T(48) = T(14)*params(45)/T(1);
T(49) = 1-params(149);
T(50) = (-params(114))*(1-params(111))/params(45);
T(51) = (-params(119))*(1-params(116))/params(45);
T(52) = T(26)*T(11)/T(18)/params(16);
T(53) = (T(11)-1)/(T(18)-T(10)*T(18));
T(54) = 1/(1+T(47));
T(55) = 1/(1+T(47)*params(30));
T(56) = (1-params(31))*(1-T(47)*params(31))/params(31)/(1+params(2)*(params(16)-1));
T(57) = T(47)/(1+T(47));
T(58) = 1/(1+(params(33)-1)*params(1))*(1-params(18))*(1-T(47)*params(18))/((1+T(47))*params(18));
T(59) = y(111)+y(45)*params(46)+T(29)*(y(106)+y(108)+y(104)+(params(53)+T(30)+params(52))*(y(81)+y(77)))+(1-params(27)-params(4))*(y(102)+params(51)*y(42))+(1-T(29)-params(13)*T(18)-T(26))*params(54)*y(126);
T(60) = (1-params(47))*(1-T(1)*params(153)/T(14)*params(47))/params(47);
T(61) = y(78)/40;

end
